

namespace ScrewsMaster
{
    public static class ModuleManagerRegister
    {
        public static void AutoRegisterModel()
        {
            ModuleManager moduleManager = ModuleManager.Instance;
            moduleManager.AddModel(ModelConst.LoginModel, new LoginModel());
            moduleManager.AddModel(ModelConst.CurrencyRewardModel, new CurrencyRewardModel());
            moduleManager.AddModel(ModelConst.FXWndModel, new FXWndModel());
            moduleManager.AddModel(ModelConst.GameLoginModel, new GameLoginModel());
            moduleManager.AddModel(ModelConst.JoastModel, new JoastModel());
            moduleManager.AddModel(ModelConst.LoadingModel, new LoadingModel());
            moduleManager.AddModel(ModelConst.MaskModel, new MaskModel());
            moduleManager.AddModel(ModelConst.MenuModel, new MenuModel());
            moduleManager.AddModel(ModelConst.NetLoadingModel, new NetLoadingModel());
            moduleManager.AddModel(ModelConst.OpenBgModel, new OpenBgModel());
            moduleManager.AddModel(ModelConst.PrivacyModel, new PrivacyModel());
            moduleManager.AddModel(ModelConst.ProfileModel, new ProfileModel());
            moduleManager.AddModel(ModelConst.RewardModel, new RewardModel());
            moduleManager.AddModel(ModelConst.SheepPlayModel, new SheepPlayModel());
            moduleManager.AddModel(ModelConst.CoinWnd_newModel, new CoinWnd_newModel());
            moduleManager.AddModel(ModelConst.LevelSuccessModel, new LevelSuccessModel());
            moduleManager.AddModel(ModelConst.OpenGameModel, new OpenGameModel());
            moduleManager.AddModel(ModelConst.NewTaskModel, new NewTaskModel());
            moduleManager.AddModel(ModelConst.GetTaskRewardModel, new GetTaskRewardModel());
            moduleManager.AddModel(ModelConst.RewardboxModel, new RewardboxModel());
            moduleManager.AddModel(ModelConst.PayloadingModel, new PayloadingModel());
            moduleManager.AddModel(ModelConst.AdcomingModel, new AdcomingModel());
            moduleManager.AddModel(ModelConst.ReviveModel, new ReviveModel());
            moduleManager.AddModel(ModelConst.PropModel, new PropModel());
            moduleManager.AddModel(ModelConst.TipsModel, new TipsModel());
            moduleManager.AddModel(ModelConst.MakeupConfirmModel, new MakeupConfirmModel());
            moduleManager.AddModel(ModelConst.MakeupRecordModel, new MakeupRecordModel());
            moduleManager.AddModel(ModelConst.H5Model, new H5Model());
            moduleManager.AddModel(ModelConst.BuygoldModel, new BuygoldModel());
            moduleManager.AddModel(ModelConst.PackrewardModel, new PackRewardModel());
            moduleManager.AddModel(ModelConst.FirstRewardModel, new FirstRewardModel());
            moduleManager.AddModel(ModelConst.PassunlockModel, new PassunlockModel());

            moduleManager.AddModel(ModelConst.SignInViewModel, new SignInViewModel());
            moduleManager.AddModel(ModelConst.PrizeWheelModel, new PrizeWheelModel());
            moduleManager.AddModel(ModelConst.GameHomeModel, new GameHomeModel());
            moduleManager.AddModel(ModelConst.RankModel, new RankModel());
            moduleManager.AddModel(ModelConst.ResurgenceModel, new ResurgenceModel());
            moduleManager.AddModel(ModelConst.SaveingPotModel, new SaveingPotModel());
            moduleManager.AddModel(ModelConst.BroadcastModel, new BroadcastModel());
            moduleManager.AddModel(ModelConst.RecordViewModel, new RecordViewModel());
            moduleManager.AddModel(ModelConst.ThreeDaysGiftModel, new ThreeDaysGiftModel());
            moduleManager.AddModel(ModelConst.RewardMulNewModel, new RewardMulNewModel());
        	moduleManager.AddModel(ModelConst.LoginAModel, new LoginAModel());
		}
        public static void AutoRegisterUICtrl()
        {
            ModuleManager moduleManager = ModuleManager.Instance;
            moduleManager.AddUICtrl(UICtrlConst.CurrencyRewardUICtrl, new CurrencyRewardUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.FXWndUICtrl, new FXWndUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.GameLoginUICtrl, new GameLoginUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.JoastUICtrl, new JoastUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.LoadingUICtrl, new LoadingUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.MaskUICtrl, new MaskUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.MenuUICtrl, new MenuUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.NetLoadingUICtrl, new NetLoadingUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.OpenBgUICtrl, new OpenBgUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.PrivacyUICtrl, new PrivacyUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.ProfileUICtrl, new ProfileUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.RewardUICtrl, new RewardUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.SheepPlayUICtrl, new SheepPlayUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.CoinWnd_newUICtrl, new CoinWnd_newUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.LevelSuccessUICtrl, new LevelSuccessUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.OpenGameUICtrl, new OpenGameUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.NewTaskUICtrl, new NewTaskUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.GetTaskRewardUICtrl, new GetTaskRewardUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.RewardboxUICtrl, new RewardboxUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.MakeupConfirmUICtrl, new MakeupConfirmUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.MakeupRecordUICtrl, new MakeupRecordUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.H5UICtrl, new H5UICtrl());
            moduleManager.AddUICtrl(UICtrlConst.BuygoldUICtrl, new BuygoldUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.PackrewardUICtrl, new PackRewardUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.FirstRewardUICtrl, new FirstRewardUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.PassunlockUICtrl, new PassunlockUICtrl());

            moduleManager.AddUICtrl(UICtrlConst.PayloadingUICtrl, new PayloadingUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.AdcomingUICtrl, new AdcomingUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.SignInViewUICtrl, new SignInViewUICtrl());

            moduleManager.AddUIType(UIConst.ReviveUI, typeof(ReviveUI));
            moduleManager.AddUIType(UIConst.PropUI, typeof(PropUI));
            moduleManager.AddUIType(UIConst.TipsUI, typeof(TipsUI));
            moduleManager.AddUIType(UIConst.PrizeWheelUI, typeof(PrizeWheelUI));
            moduleManager.AddUIType(UIConst.GameHomeUI, typeof(GameHomeUI));
            moduleManager.AddUIType(UIConst.RankUI, typeof(RankUI));
            moduleManager.AddUICtrl(UICtrlConst.ResurgenceUICtrl, new ResurgenceUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.SaveingPotUICtrl, new SaveingPotUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.BroadcastUICtrl, new BroadcastUICtrl());

            moduleManager.AddUICtrl(UICtrlConst.RecordViewUICtrl, new RecordViewUICtrl());
            moduleManager.AddUIType(UIConst.ThreeDaysGiftUI, typeof(ThreeDaysGiftUI));
            moduleManager.AddUIType(UIConst.RewardMulNewUI, typeof(RewardMulNewUI));
        	moduleManager.AddUIType(UIConst.LoginAUI, typeof(LoginAUI));
		}

        public static void AutoRegisterCtrl()
        {
            ModuleManager moduleManager = ModuleManager.Instance;
            moduleManager.AddCtrl(CtrlConst.CurrencyRewardCtrl, new CurrencyRewardCtrl());
            moduleManager.AddCtrl(CtrlConst.FXWndCtrl, new FXWndCtrl());
            moduleManager.AddCtrl(CtrlConst.GameLoginCtrl, new GameLoginCtrl());
            moduleManager.AddCtrl(CtrlConst.JoastCtrl, new JoastCtrl());
            moduleManager.AddCtrl(CtrlConst.LoadingCtrl, new LoadingCtrl());
            moduleManager.AddCtrl(CtrlConst.MaskCtrl, new MaskCtrl());
            moduleManager.AddCtrl(CtrlConst.MenuCtrl, new MenuCtrl());
            moduleManager.AddCtrl(CtrlConst.NetLoadingCtrl, new NetLoadingCtrl());
            moduleManager.AddCtrl(CtrlConst.OpenBgCtrl, new OpenBgCtrl());
            moduleManager.AddCtrl(CtrlConst.PrivacyCtrl, new PrivacyCtrl());
            moduleManager.AddCtrl(CtrlConst.ProfileCtrl, new ProfileCtrl());
            moduleManager.AddCtrl(CtrlConst.RewardCtrl, new RewardCtrl());
            moduleManager.AddCtrl(CtrlConst.PreferencesDataReadyCtrl, new PreferencesDataReadyCtrl());
            moduleManager.AddCtrl(CtrlConst.SheepPlayCtrl, new SheepPlayCtrl());
            moduleManager.AddCtrl(CtrlConst.CoinWnd_newCtrl, new CoinWnd_newCtrl());
            moduleManager.AddCtrl(CtrlConst.LevelSuccessCtrl, new LevelSuccessCtrl());
            moduleManager.AddCtrl(CtrlConst.OpenGameCtrl, new OpenGameCtrl());
            moduleManager.AddCtrl(CtrlConst.NewTaskCtrl, new NewTaskCtrl());
            moduleManager.AddCtrl(CtrlConst.GetTaskRewardCtrl, new GetTaskRewardCtrl());
            moduleManager.AddCtrl(CtrlConst.RewardboxCtrl, new RewardboxCtrl());
            moduleManager.AddCtrl(CtrlConst.PayloadingCtrl, new PayloadingCtrl());
            moduleManager.AddCtrl(CtrlConst.AdcomingCtrl, new AdcomingCtrl());
            moduleManager.AddCtrl(CtrlConst.ReviveCtrl, new ReviveCtrl());
            moduleManager.AddCtrl(CtrlConst.PropCtrl, new PropCtrl());
            moduleManager.AddCtrl(CtrlConst.TipsCtrl, new TipsCtrl());
            moduleManager.AddCtrl(CtrlConst.MakeupConfirmCtrl, new MakeupConfirmCtrl());
            moduleManager.AddCtrl(CtrlConst.MakeupRecordCtrl, new MakeupRecordCtrl());
            moduleManager.AddCtrl(CtrlConst.H5Ctrl, new H5Ctrl());
            moduleManager.AddCtrl(CtrlConst.BuygoldCtrl, new BuygoldCtrl());
            moduleManager.AddCtrl(CtrlConst.PackrewardCtrl, new PackRewardCtrl());
            moduleManager.AddCtrl(CtrlConst.FirstRewardCtrl, new FirstRewardCtrl());
            moduleManager.AddCtrl(CtrlConst.PassunlockCtrl, new PassunlockCtrl());

            moduleManager.AddCtrl(CtrlConst.SignInViewCtrl, new SignInViewCtrl());
            moduleManager.AddCtrl(CtrlConst.PrizeWheelCtrl, new PrizeWheelCtrl());
            moduleManager.AddCtrl(CtrlConst.GameHomeCtrl, new GameHomeCtrl());
            moduleManager.AddCtrl(CtrlConst.RankCtrl, new RankCtrl());
            moduleManager.AddCtrl(CtrlConst.ResurgenceCtrl, new ResurgenceCtrl());
            moduleManager.AddCtrl(CtrlConst.SaveingPotCtrl, new SaveingPotCtrl());
            moduleManager.AddCtrl(CtrlConst.BroadcastCtrl, new BroadcastCtrl());
            moduleManager.AddCtrl(CtrlConst.RecordViewCtrl, new RecordViewCtrl());
            moduleManager.AddCtrl(CtrlConst.ThreeDaysGiftCtrl, new ThreeDaysGiftCtrl());
            moduleManager.AddCtrl(CtrlConst.RewardMulNewCtrl, new RewardMulNewCtrl());
        	moduleManager.AddCtrl(CtrlConst.LoginACtrl, new LoginACtrl());
		}

        public static void AutoRegisterUIType()
        {
            ModuleManager moduleManager = ModuleManager.Instance;
            moduleManager.AddUIType(UIConst.CurrencyRewardUI, typeof(CurrencyRewardUI));
            moduleManager.AddUIType(UIConst.FXWndUI, typeof(FXWndUI));
            moduleManager.AddUIType(UIConst.GameLoginUI, typeof(GameLoginUI));
            moduleManager.AddUIType(UIConst.JoastUI, typeof(JoastUI));
            moduleManager.AddUIType(UIConst.LoadingUI, typeof(LoadingUI));
            moduleManager.AddUIType(UIConst.MaskUI, typeof(MaskUI));
            moduleManager.AddUIType(UIConst.MenuUI, typeof(MenuUI));
            moduleManager.AddUIType(UIConst.NetLoadingUI, typeof(NetLoadingUI));
            moduleManager.AddUIType(UIConst.OpenBgUI, typeof(OpenBgUI));
            moduleManager.AddUIType(UIConst.PrivacyUI, typeof(PrivacyUI));
            moduleManager.AddUIType(UIConst.ProfileUI, typeof(ProfileUI));
            moduleManager.AddUIType(UIConst.RewardUI, typeof(RewardUI));
            moduleManager.AddUIType(UIConst.SheepPlayUI, typeof(SheepPlayUI));
            moduleManager.AddUIType(UIConst.CoinWnd_newUI, typeof(CoinWnd_newUI));
            moduleManager.AddUIType(UIConst.LevelSuccessUI, typeof(LevelSuccessUI));
            moduleManager.AddUIType(UIConst.OpenGameUI, typeof(OpenGameUI));
            moduleManager.AddUIType(UIConst.NewTaskUI, typeof(NewTaskUI));
            moduleManager.AddUIType(UIConst.GetTaskRewardUI, typeof(GetTaskRewardUI));
            moduleManager.AddUIType(UIConst.RewardboxUI, typeof(RewardboxUI));
            moduleManager.AddUIType(UIConst.PayloadingUI, typeof(PayloadingUI));
            moduleManager.AddUIType(UIConst.AdcomingUI, typeof(AdcomingUI));
            moduleManager.AddUICtrl(UICtrlConst.ReviveUICtrl, new ReviveUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.PropUICtrl, new PropUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.TipsUICtrl, new TipsUICtrl());
            moduleManager.AddUIType(UIConst.MakeupConfirmUI, typeof(MakeupConfirmUI));
            moduleManager.AddUIType(UIConst.MakeupRecordUI, typeof(MakeupRecordUI));
            moduleManager.AddUIType(UIConst.H5UI, typeof(H5UI));
            moduleManager.AddUIType(UIConst.BuygoldUI, typeof(BuygoldUI));
            moduleManager.AddUIType(UIConst.PackrewardUI, typeof(PackRewardUI));
            moduleManager.AddUIType(UIConst.FirstRewardUI, typeof(FirstRewardUI));
            moduleManager.AddUIType(UIConst.PassunlockUI, typeof(PassunlockUI));

            moduleManager.AddUIType(UIConst.SignInViewUI, typeof(SignInViewUI));
            moduleManager.AddUICtrl(UICtrlConst.PrizeWheelUICtrl, new PrizeWheelUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.GameHomeUICtrl, new GameHomeUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.RankUICtrl, new RankUICtrl());
            moduleManager.AddUIType(UIConst.ResurgenceUI, typeof(ResurgenceUI));
            moduleManager.AddUIType(UIConst.SaveingPotUI, typeof(SaveingPotUI));
            moduleManager.AddUIType(UIConst.BroadcastUI, typeof(BroadcastUI));
            moduleManager.AddUIType(UIConst.RecordViewUI, typeof(RecordViewUI));
            moduleManager.AddUICtrl(UICtrlConst.ThreeDaysGiftUICtrl, new ThreeDaysGiftUICtrl());
            moduleManager.AddUICtrl(UICtrlConst.RewardMulNewUICtrl, new RewardMulNewUICtrl());
        	moduleManager.AddUICtrl(UICtrlConst.LoginAUICtrl, new LoginAUICtrl());
		}
    }
}